using RemiseANiveau2.Entities.fixtures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RemiseANiveau2.Repository.Contracts
{
    public interface IVersionRepository
    {

       /// <inheritdoc/>
       void Add(Entities.Version Version);


        /// <inheritdoc/>
        List<Entities.Version> FindAll();


        /// <inheritdoc/>
        public void Remove(Entities.Version Version);

        /// <inheritdoc/>
        public int Count();

        /// <inheritdoc/>
        public Entities.Version First();

        /// <inheritdoc/>
        public Entities.Version Last();

        /// <inheritdoc/>
        public List<Entities.Version> Après5eme();

        /// <inheritdoc/>
        public List<Entities.Version> OrderByNum();

        /// <inheritdoc/>
        public List<Entities.Version> OrderBy();

        /// <inheritdoc/>
        public dynamic Anon();
    }
}
